from ..creation import date_convert
import pytest


def test_date_convert():
    datemode = 0
    #test passing input
    datestring = 39811.0
    d = date_convert(datestring,0)
    assert d.year == 2008
    assert d.month == 12
    assert d.day == 29
    #test failing input
    datestring = 'abcd'
    with pytest.raises(ValueError):
        d = date_convert(datestring,0)
        
